PrintEvent (Java Platform SE 8 )
Keywords: javax.print.event.PrintEvent class
Date: 2026-04-17

javax.print.event

## Class PrintEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.print.event.PrintEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PrintJobAttributeEvent, PrintJobEvent, PrintServiceAttributeEvent

      public class PrintEvent
      extends EventObject

  Class PrintEvent is the super class of all Print Service API events.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintEvent(Object source)` Constructs a PrintEvent object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns a String representation of this EventObject.

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintEvent

          public PrintEvent(Object source)

      Constructs a PrintEvent object.
      Parameters:
        `source` - is the source of the event
      Throws:
        `IllegalArgumentException` - if `source` is `null`.

  - ### Method Detail

    - #### toString

          public String toString()

      Description copied from class: `EventObject`
      Returns a String representation of this EventObject.
      Overrides:
        `toString` in class `EventObject`
      Returns:
        a message describing the event

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.